use strict;
use warnings;
use Test::More;
use Number::Phone::JP;

use_ok('Number::Phone::JP::Hyphenate');

my $hyphenate = \&Number::Phone::JP::Hyphenate::hyphenate;

is( &$hyphenate('08012345678')     , '080-1234-5678' );
is( &$hyphenate('080-1234-5678')   , '080-1234-5678' );
is( &$hyphenate('080 1234 5678')   , '080-1234-5678' );
is( &$hyphenate('+818012345678')   , '080-1234-5678' );
is( &$hyphenate('+81 80 12345678') , '080-1234-5678' );

is( &$hyphenate('09012345678')     , '090-1234-5678' );

#ok( my $obj = Number::Phone::JP->new('090-1234-5678') );
#diag $obj->is_valid_number;
#diag $obj->format;

done_testing;
